using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Web.Script.Serialization;

namespace Villain.Data
{
	public class JSON : JavaScriptSerializer
	{
		public static new T Deserialize<T>(string input)
		{
			return new JavaScriptSerializer().Deserialize<T>(input);
		}

		public static new object DeserializeObject(string input)
		{
			return new JavaScriptSerializer().DeserializeObject(input);
		}

		public static new string Serialize(object obj)
		{
			return new JavaScriptSerializer().Serialize(obj);
		}
	}
}